--- /dev/null
+PO = wshaper
+
+include ../../build/config.mk
+include ../../build/module.mk
--- /dev/null
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/wshaper ) && rm -f /etc/uci-defaults/wshaper
+ exit 0
+}
+
--- /dev/null
+--[[
+LuCI - Lua Configuration Interface
+
+Copyright 2011 Manuel Munz <freifunk somakoma de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+http://www.apache.org/licenses/LICENSE-2.0
+
+]]--
+
+module "luci.controller.wshaper"
+
+function index()
+ entry({"admin", "network", "wshaper"}, cbi("wshaper"), _("Wondershaper"), 80)
+end
+
--- /dev/null
+--[[
+LuCI - Lua Configuration Interface
+
+Copyright 2011 Manuel Munz <freifunk at somakoma dot de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+]]--
+
+require("luci.tools.webadmin")
+
+m = Map("wshaper", translate("Wondershaper"),
+ translate("Wondershaper uses traffic shaping to ensure low latencies for interactive traffic even when your " ..
+ "internet connection is highly saturated."))
+
+s = m:section(NamedSection, "settings", "wshaper", translate("Wondershaper settings"))
+s.anonymous = true
+
+network = s:option(ListValue, "network", translate("Interface"))
+luci.tools.webadmin.cbi_add_networks(network)
+
+uplink = s:option(Value, "uplink", translate("Uplink"), translate("Upstream bandwidth in kbit/s"))
+uplink.optional = false
+uplink.datatype = "uinteger"
+uplink.default = "240"
+
+uplink = s:option(Value, "downlink", translate("Downlink"), translate("Downstream bandwidth in kbit/s"))
+uplink.optional = false
+uplink.datatype = "uinteger"
+uplink.default = "200"
+
+nopriohostsrc = s:option(DynamicList, "nopriohostsrc", translate("Low priority hosts (Source)"), translate("Host or Network in CIDR notation."))
+nopriohostsrc.optional = true
+nopriohostsrc.datatype = ipaddr
+nopriohostsrc.placeholder = "10.0.0.1/32"
+
+nopriohostdst = s:option(DynamicList, "nopriohostdst", translate("Low priority hosts (Destination)"), translate("Host or Network in CIDR notation."))
+nopriohostdst.optional = true
+nopriohostdst.datatype = ipaddr
+nopriohostdst.placeholder = "10.0.0.1/32"
+
+noprioportsrc = s:option(DynamicList, "noprioportsrc", translate("Low priority source ports"))
+noprioportsrc.optional = true
+noprioportsrc.datatype = "range(0,65535)"
+noprioportsrc.placeholder = "21"
+
+noprioportdst = s:option(DynamicList, "noprioportdst", translate("Low priority destination ports"))
+noprioportdst.optional = true
+noprioportdst.datatype = "range(0,65535)"
+noprioportdst.placeholder = "21"
+
+return m
--- /dev/null
+#!/bin/sh
+
+uci -q batch <<-EOF >/dev/null
+ delete ucitrack.@wshaper[-1]
+ add ucitrack wshaper=wshaper
+ set ucitrack.wshaper.exec='/etc/init.d/wshaper start'
+ commit ucitrack
+EOF
+
+rm -f /tmp/luci-indexcache
+exit 0
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: \n"
+"Last-Translator: Manuel Munz <freifunk@somakoma.de>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+msgid "Downlink"
+msgstr "Download"
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr "Download Bandbreite in kbit/s"
+
+msgid "Host or Network in CIDR notation."
+msgstr "Rechner oder Netzwerk in CIDR Schreibweise"
+
+msgid "Interface"
+msgstr "Schnittstelle"
+
+msgid "Low priority destination ports"
+msgstr "Zielports mit niedriger Priorität"
+
+msgid "Low priority hosts (Destination)"
+msgstr "Zielrechner mit nideriger Priorität"
+
+msgid "Low priority hosts (Source)"
+msgstr "Quellrechner mit neidriger Priorität"
+
+msgid "Low priority source ports"
+msgstr "Quellports mit niedriger Priorität"
+
+msgid "Uplink"
+msgstr "Upload"
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr "Upload Bandbreite in kbit/s"
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr "Wondershaper Einstellungen"
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
+"Wondershaper ermöglicht mit Hilfe von Traffic Shaping niedrige Latenzzeiten "
+"für interaktiven Internetverkehr selbst wenn die Internetverbindung extrem "
+"ausgelastet ist."
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""
--- /dev/null
+msgid "Downlink"
+msgstr ""
+
+msgid "Downstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Host or Network in CIDR notation."
+msgstr ""
+
+msgid "Interface"
+msgstr ""
+
+msgid "Low priority destination ports"
+msgstr ""
+
+msgid "Low priority hosts (Destination)"
+msgstr ""
+
+msgid "Low priority hosts (Source)"
+msgstr ""
+
+msgid "Low priority source ports"
+msgstr ""
+
+msgid "Uplink"
+msgstr ""
+
+msgid "Upstream bandwidth in kbit/s"
+msgstr ""
+
+msgid "Wondershaper"
+msgstr ""
+
+msgid "Wondershaper settings"
+msgstr ""
+
+msgid ""
+"Wondershaper uses traffic shaping to ensure low latencies for interactive "
+"traffic even when your internet connection is highly saturated."
+msgstr ""